Bug 97630 - dead keys don't work under UTF-8 locales: Uxxxx not defined
Summary: dead keys don't work under UTF-8 locales: Uxxxx not defined
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-18 15:52 UTC by diego.santacruz
Modified: 2015-01-08 00:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-09 02:12:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description diego.santacruz 2003-06-18 15:52:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
When xemacs is started under the en_US.UTF-8 locale (default) the dead keys
(e.g., accents) don't work.


Version-Release number of selected component (if applicable):
xemacs-21.4.12-6

How reproducible:
Always

Steps to Reproduce:
1. start xemacs (under X)
2. compose an accented letter with a dead key: dead_acute + e
3.
    

Actual Results:  xemacs displays (in the status line)

U00E9 not defined

and no character is typed to the buffer

Expected Results:  The accented character (�) should appear.

Additional info:

Typing a key that has the accented letter directly assigned (e.g., keysym
eacute) works.

Also starting xemacs as "env LANG=en_US.ISO8859-1 xemacs" does not exhibit this
problem.

Comment 1 Jens Petersen 2003-06-19 02:14:17 UTC
Could you please try with the newer xemacs in rawhide? :)
I added better default utf-8 support to it.

Comment 2 diego.santacruz 2003-06-19 11:28:15 UTC
I already tried that before but it does not run, when I start xemacs the dynamic
linker says something about a missing GLIBC symbol. Sorry I did not write down
the error message so I don't recall what was it.

I did not want to upgrade to rawhide glibc so I removed the rawhide xemacs
packages and went back to the regular ones, forcing an ISO8859-1 locale upon
startup. 

Comment 3 Jens Petersen 2003-06-19 21:19:49 UTC
Then could you please rebuild the xemacs src rpm on machine
and check that it is working better for you?  :)

Comment 4 Jens Petersen 2004-04-09 02:12:33 UTC
Appears to be fixed in current xemacs AFAICT.


Note You need to log in before you can comment on or make changes to this bug.